This is a backport I got from Scott Manson, I just added an additional #ifndef QT_NO_COMPAT in the .cpp file around a match
function

*************************
       This is ___NOT___ the original version from Trolltech, so don't blame them if something is wrong.
*************************

Use it at your own risk, neither Trolltech, Scott Manson nor I take any responsibility, if it damages your system or causes
unexpected behaviour or causes loss of data

Joseph Wenninger
<jowenn@bigfoot.com>
